aboutsummaryrefslogtreecommitdiffstats
path: root/testing/shairplay/shairplay.initd
diff options
context:
space:
mode:
authorFrancesco Colista <fcolista@alpinelinux.org>2015-12-26 10:38:46 +0000
committerFrancesco Colista <fcolista@alpinelinux.org>2015-12-26 10:38:46 +0000
commit4f0d526a5bb65524f99a2740bf3a0c397091b175 (patch)
tree5915b8d804353e491e1e0d72f9854b93be6b099e /testing/shairplay/shairplay.initd
parenta33c29faead546b31b3a09ce50875311966a99dc (diff)
downloadaports-4f0d526a5bb65524f99a2740bf3a0c397091b175.tar.bz2
aports-4f0d526a5bb65524f99a2740bf3a0c397091b175.tar.xz
testing/shairplay: added confd and initd
Diffstat (limited to 'testing/shairplay/shairplay.initd')
-rw-r--r--testing/shairplay/shairplay.initd19
1 files changed, 19 insertions, 0 deletions
diff --git a/testing/shairplay/shairplay.initd b/testing/shairplay/shairplay.initd
new file mode 100644
index 0000000000..51dded347a
--- /dev/null
+++ b/testing/shairplay/shairplay.initd
@@ -0,0 +1,19 @@
+#!/sbin/runscript
+# Released under the 2-clause BSD license.
+
+depend() {
+ need net
+ need avahi
+}
+
+start() {
+ ebegin "Starting shairplay"
+ start-stop-daemon --start --background --pidfile /var/run/shairplay.pid --make-pidfile --exec /usr/bin/shairplay -- ${SHAIRPLAY_OPTS}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping shairplay"
+ start-stop-daemon --stop --pidfile /var/run/shairplay.pid
+ eend $?
+}